gtk-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Button This class extends , providing an simple button for font selection. The FontButton is a button which displays the currently selected font and allows to open a font selection dialog to change the font. It is suitable widget for selecting a font in a preference dialog.
- Constructor
  2.12.0.0
  Constructs and initializes a new instance of with the default font.
  To specify the default font on creation, use .
- Constructor
  2.12.0.0
  System.Obsolete
  A object containing the native GLib type for the new instance.
  Constructs and initializes a new instance of for a specified native GLib type.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  A pointing to the raw object to be managed by the new instance.
  Constructs and initializes a new instance of using an existing unmanaged object as its base.
  This is not typically used by managed code. It is primarily used for enclosing an existing object, created by unmanaged code, in a managed wrapper.
- Constructor
  2.12.0.0
  A object containing the name of the initial font to use in the new instance.
  Constructs and initializes a new instance of with a specified initial font.
  The value of is in the same format as described in the remarks on .
- Property
  2.12.0.0
  GLib.Property("font-name")
  System.String Gets and sets the name of the currently selected font, including the style and size. A object containing the name of the currently selected font, including the style and font.

  The font name contains the name, style, and size. For example, "Bistream Vera Serif Bold Italic 24". If the style is not specified, "Regular" is assumed, and if the size is not specified, "0" is assumed.

  Default Value: "Sans 12". This value is identical to the one that would be used by and .

- Event
  2.12.0.0
  GLib.Signal("font-set")
  System.EventHandler This event is raised when the user closes the child after making a change. Child classes should override instead of adding a handler to this event.
- Property
  2.12.0.0
  GLib.GType Gets the GLib type of the current instance. A value representing the native GLib type of . The value is used internally by the GLib type management system.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideFontSet", Type=typeof(Gtk.FontButton))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  System.Boolean `` A object containing the name of the font to display in the child . Sets or updates the font displayed in the child . The return value of if the font selection dialog exists, otherwise .
- Property
  2.12.0.0
  GLib.Property("show-size")
  System.Boolean Gets and sets whether or not to show the font size in the button.

  A . If , the font size will be displayed in the button.

  For a more WYSIWYG way to show the selected size, see the property.
- Property
  2.12.0.0
  GLib.Property("show-style")
  System.Boolean Gets and sets whether or not the font style will be shown with the font name in the button.

  A . If , the font style will be displayed along with the name of the selected font, unless the style is "Regular".

  Default Value:
- Property
  2.12.0.0
  GLib.Property("title")
  System.String Gets and sets the title used for the created by the currrent instance. A object containing the title used for the created by the currrent instance. Default Value: "Pick a Font" or a translated version.
- Property
  2.12.0.0
  GLib.Property("use-font")
  System.Boolean Gets and sets whether or not button label should be displayed using the selected font.

  A . If , the button label will be displayed using the selected font. Otherwise in the default system font.

  Default Value:
- Property
  2.12.0.0
  GLib.Property("use-size")
  System.Boolean If this property is set to , the label will be drawn in the selected font size.

  A . If , the button label will be displayed using the selected font size. Otherwise in the default system font size.